[Date Prev][Date Next] [Chronological] [Thread] [Top]

minor problem (ITS#1083)


this is to report a minor problem when building OpenLDAP v2.0.7 on a
SuSE Linux system.

SuSE Linux distributions include no 'gai_strerror' function. This is
detected by 'configure' (HAVE_GAI_STRERROR not defined), but file
servers/slapd/daemon.c still contains a hard-coded call to
'gai_strerror' whereas it should use the AC_GAI_STRERROR macro (line

This was documented in the FAQ some time ago, but probably not reported
to the ITS...

Congratulations for your excellent work,

   Jean-Yves Belmonte <john@pixware.fr> - Pixware
   Le Capricorne - 23 rue Colbert - 78180 Montigny-le-Bretonneux -
   voice: {33|0} - fax: {33|0}